Bug 1130769 - Empathy and Contacts crash on start
Summary: Empathy and Contacts crash on start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zeitgeist
Version: 20
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 13:53 UTC by Michael Catanzaro
Modified: 2019-07-24 15:11 UTC (History)
19 users (show)

Fixed In Version: zeitgeist-0.9.16-0.2.20140808.git.ce9affa.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-24 02:56:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Debian BTS 752482 None None None Never
Red Hat Bugzilla 1079516 None CLOSED [abrt] gnome-contacts: g_variant_type_info_check(): gnome-contacts-search-provider killed by SIGSEGV 2019-07-24 14:27:24 UTC

Internal Links: 1079516 1131606

Description Michael Catanzaro 2014-08-17 13:53:08 UTC
Description of problem: https://admin.fedoraproject.org/updates/FEDORA-2014-9383/zeitgeist-0.9.14-3.fc20 broke Empathy and GNOME Contacts, please fix or revert ASAP!


Version-Release number of selected component (if applicable): zeitgeist-libs-0.9.14-3.fc20.x86_64


How reproducible: Always


Steps to Reproduce:
1. Start Empathy or Contacts

Actual results: Crash


Expected results: No crash


Additional info: Downgrade to zeitgeist-libs-0.9.14-2.fc20.x86_64 and they work again.

Upstream bugs (with stacktraces):

https://bugzilla.gnome.org/show_bug.cgi?id=734941
https://bugzilla.gnome.org/show_bug.cgi?id=734943

Comment 1 Christopher Meng 2014-08-18 02:26:41 UTC
Probably I need to update zeitgeist to a newer version. As I didn't modify the sources. Something wrong in the gnome side.

On Fedora rawhide, with zeitgeist latest git snapshot I updated days ago, gnome-contacts starts without issues.(under KDE, empathy not tested)

I will push an update of 0.9.15 and please test again.

Comment 2 Christopher Meng 2014-08-18 02:51:16 UTC
I believe vala has some changes that affect zeitgeist.

Comment 3 Christopher Meng 2014-08-18 09:16:03 UTC
I think pushing 0.9.15 may be too harsh, I decide to push a fix committed in upstream VCS.

Comment 4 Christopher Meng 2014-08-18 09:22:40 UTC
Richard, next time when you push update of vala, could you test and verify if the new version won't cause troubles to other packages?

Comment 5 Fedora Update System 2014-08-18 09:52:15 UTC
zeitgeist-0.9.14-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zeitgeist-0.9.14-4.fc20

Comment 6 Michael Schwendt 2014-08-18 11:02:42 UTC
> Richard, next time when you push update of vala, could you test and
> verify if the new version won't cause troubles to other packages?

As pointed out in bodhi, rushing out updates is irresponsible, regardless of whether it is an upgrade of the tool-chain or a simple rebuild of a package. It undermines our testing process. All those updates need sufficient testing. The broken zeitgeist update would have been caught, if it had been kept in updates-testing for a longer time.

If an upgrade of Vala breaks the rebuild results of other packages, that would be very difficult to notice, unless all depending packages would be rebuilt and tested painstakingly. A karma threshold of +1 is just not a clever idea. Eventually, the Fedora Project will need to enforce strict rules to avoid such incidents.

Comment 7 Robert Hancock 2014-08-18 16:00:57 UTC
0.9.14-4 does not appear to fix the problem with Empathy starting up. I still need to downgrade to 0.9.14-2:

g_dbus_connection_real_closed: Remote peer vanished with error: Error receiving message: Connection reset by peer (g-io-error-quark, 0). Exiting.
Terminated

Comment 8 Fedora Update System 2014-08-19 07:08:00 UTC
Package zeitgeist-0.9.14-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zeitgeist-0.9.14-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9568/zeitgeist-0.9.14-4.fc20
then log in and leave karma (feedback).

Comment 9 Václav Mocek 2014-08-19 19:19:34 UTC
Unfortunately, zeitgeist-libs-0.9.14-4.fc20 doesn't solve all issues. If you do need Empathy, downgrade with:

# su -c 'yum downgrade package zeitgeist-libs-0.9.14-2.fc20'

Comment 10 Pierre-Yves Luyten 2014-08-19 21:06:04 UTC
(In reply to Václav Mocek from comment #9)
> Unfortunately, zeitgeist-libs-0.9.14-4.fc20 doesn't solve all issues. If you
> do need Empathy, downgrade with:
> 
> # su -c 'yum downgrade package zeitgeist-libs-0.9.14-2.fc20'

bijiben also crashes with 0.9.14-3. I just downgraded and this fixed the issue.

Comment 11 Peque 2014-08-21 08:05:04 UTC
For me too, updating to 0.9.14-4 (or 0.9.14-3) results in Empathy crashing. Downgrading to 0.9.14-2 fixed the problem.

Comment 12 Fedora Update System 2014-08-21 09:28:18 UTC
zeitgeist-0.9.16-0.2.20140808.git.ce9affa.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zeitgeist-0.9.16-0.2.20140808.git.ce9affa.fc20

Comment 13 Peque 2014-08-22 12:35:21 UTC
The latest zeitgeist-0.9.16 seems to work for me:

https://admin.fedoraproject.org/updates/zeitgeist-0.9.16-0.2.20140808.git.ce9affa.fc20

Comment 14 Robert Hancock 2014-08-22 19:02:14 UTC
Empathy startup seems fixed with 0.9.16-0.2.20140808.git.ce9affa.

Comment 15 Fedora Update System 2014-08-24 02:56:51 UTC
zeitgeist-0.9.16-0.2.20140808.git.ce9affa.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Christian Klomp 2014-08-25 17:27:35 UTC
Well, gnome-activity-journal still crashes and zeitgeist just seems broken (it doesn't seem to be indexing anymore).

Comment 17 Christopher Meng 2014-08-26 07:01:08 UTC
(In reply to Christian Klomp from comment #16)
> Well, gnome-activity-journal still crashes and zeitgeist just seems broken
> (it doesn't seem to be indexing anymore).

Have you reported a bug against activity-control?

Comment 18 Christian Klomp 2014-08-31 13:52:02 UTC
(In reply to Christopher Meng from comment #17)
> (In reply to Christian Klomp from comment #16)
> > Well, gnome-activity-journal still crashes and zeitgeist just seems broken
> > (it doesn't seem to be indexing anymore).
> 
> Have you reported a bug against activity-control?

I don't know what you mean with activity-control, but after some fiddling I managed to fix the issues by removing all the ~/.local/share/zeitgeist/activity.sqlite files, forcefully killing zeitgeist and then starting it again.


Note You need to log in before you can comment on or make changes to this bug.